Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraft.world.gen
Class NoiseGeneratorPerlin

    java.lang.Object
      net.minecraft.world.gen.NoiseGenerator
          net.minecraft.world.gen.NoiseGeneratorPerlin

    public class NoiseGeneratorPerlin

extends NoiseGenerator

Field Summary
`double` | `xCoord`
`double` | `yCoord`
`double` | `zCoord`

Constructor Summary
`NoiseGeneratorPerlin()`
`NoiseGeneratorPerlin(Random par1Random)`

Method Summary
`double` | `func_76309_a(int par1, double par2, double par4)`
`double` | `grad(int par1, double par2, double par4, double par6)`
`double` | `lerp(double par1, double par3, double par5)`
`void` | `populateNoiseArray(double[] par1ArrayOfDouble, double par2, double par4, double par6, int par8, int par9, int par10, double par11, double par13, double par15, double par17)` pars: noiseArray , xOffset , yOffset , zOffset , xSize , ySize , zSize , xScale, yScale , zScale , noiseScale.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### xCoord

    public double xCoord

### yCoord

    public double yCoord

### zCoord

    public double zCoord

Constructor Detail

### NoiseGeneratorPerlin

    public NoiseGeneratorPerlin()

### NoiseGeneratorPerlin

    public NoiseGeneratorPerlin(Random par1Random)

Method Detail

### lerp

    public final double lerp(double par1,
                             double par3,
                             double par5)

### func_76309_a

    public final double func_76309_a(int par1,
                                     double par2,
                                     double par4)

### grad

    public final double grad(int par1,
                             double par2,
                             double par4,
                             double par6)

### populateNoiseArray

    public void populateNoiseArray(double[] par1ArrayOfDouble,
                                   double par2,
                                   double par4,
                                   double par6,
                                   int par8,
                                   int par9,
                                   int par10,
                                   double par11,
                                   double par13,
                                   double par15,
                                   double par17)

  pars: noiseArray , xOffset , yOffset , zOffset , xSize , ySize , zSize , xScale, yScale , zScale , noiseScale. noiseArray should be xSize*ySize*zSize in size

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD